Lors de la création d'une machine virtuelle ou de la mise à niveau d'une machine virtuelle existante, vous utilisez le paramètre de compatibilité de la machine virtuelle pour sélectionner les versions d'hôte ESXi sur lesquelles exécuter la machine virtuelle.

Le paramètre de compatibilité détermine le matériel virtuel disponible pour la machine virtuelle, qui correspond au matériel physique disponible sur l'hôte. Le matériel virtuel inclut le BIOS et l'EFI, le nombre d'emplacements PCI virtuels, le nombre maximal de processeurs, la configuration de mémoire maximale et d'autres caractéristiques. Les nouvelles capacités matérielles virtuelles sont généralement publiées une fois par an avec les versions majeures ou mineures de vSphere.

Chaque niveau de compatibilité de machine virtuelle prend en charge au moins cinq versions majeures ou mineures de vSphere. Par exemple, une machine virtuelle avec ESXi 6.5 et versions ultérieures peut s'exécuter sur ESXi 6.7, ESXi 6.7 Update 2, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

Tableau 1. Options de compatibilité de la machine virtuelle
Compatibilité Description
ESXi 8.0 et versions ultérieures Cette machine virtuelle (version matérielle 20) est compatible avec ESXi 8.0 et versions ultérieures.
ESXi 7.0 Update 3 et versions ultérieures Cette machine virtuelle (version matérielle 19) est compatible avec ESXi 7.0 Update 3 et ESXi 8.0.
ESXi 7.0 Update 2 et versions ultérieures Cette machine virtuelle (version de matériel 19) est compatible avec ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.
ESXi 7.0 Update 1 et versions ultérieures Cette machine virtuelle (version de matériel 18) est compatible avec ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.
ESXi 7.0 et versions ultérieures Cette machine virtuelle (version de matériel 17) est compatible avec ESXi 7,0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.
ESXi 6.7 Update 2 et versions ultérieures Cette machine virtuelle (version de matériel 15) est compatible avec ESXi 6.7 Update 2, ESXi 6.7 Update 3, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.
ESXi 6.7 et versions ultérieures Cette machine virtuelle (version de matériel 14) est compatible avec ESXi 6.7, ESXi 6.7 Update 2, ESXi 6.7 Update 3, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2 et ESXi 7.0 Update 3 et ESXi 8.0.
ESXi 6.5 et versions ultérieures Cette machine virtuelle (version de matériel 13) est compatible avec ESXi 6.5, ESXi 6.7, ESXi 6.7 Update 2, ESXi 6.7 Update 3, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2 et ESXi 7.0 Update 3 et ESXi 8.0.

Le paramètre de compatibilité qui apparaît dans le menu déroulant Compatible avec est le paramètre par défaut de la machine virtuelle que vous créez. Les facteurs suivants déterminent la compatibilité par défaut de la machine virtuelle :

  • La version de l'hôte ESXi sur lequel la machine virtuelle est créée.
  • Objet d'inventaire sur lequel la compatibilité de la machine virtuelle par défaut est définie, y compris un hôte, un cluster ou un centre de données.

Vous pouvez accepter la compatibilité par défaut ou sélectionner un paramètre différent. Il n'est pas toujours nécessaire de sélectionner la version la plus récente de l'hôte ESXi. Le choix d'une version antérieure peut procurer davantage de flexibilité et est utile dans les situations suivantes :

  • Pour standardiser les tests et le déploiement dans l'environnement virtuel.
  • Si vous n'avez pas besoin des capacités de la version la plus récente.
  • Pour maintenir la compatibilité avec les anciens hôtes.

Lors de la création d'une machine virtuelle, tenez compte de l'environnement dans lequel la machine virtuelle s'exécute et comparez les avantages de stratégies de compatibilité différentes. Tenez compte de vos options pour ces possibilités, qui montrent la flexibilité inhérente à chaque sélection de compatibilité de la machine virtuelle.

Objets dans l'environnement Compatibilité Résultats
Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

ESXi 6.5 et versions ultérieures

Cette machine virtuelle ne possède pas toutes les capacités disponibles pour les machines virtuelles qui s'exécutent sur des hôtes ESXi 6.7 et versions ultérieures.

Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

ESXi 6.7 et versions ultérieures

Cette machine virtuelle ne possède pas toutes les capacités disponibles pour les machines virtuelles qui s'exécutent sur des hôtes ESXi 7.0 et versions ultérieures. Une machine virtuelle avec cette compatibilité ne peut pas s'exécuter sur ESXi 6.5.

Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

ESXi 7.0 et versions ultérieures

Cette machine virtuelle ne possède pas toutes les capacités disponibles pour les machines virtuelles qui s'exécutent sur ESXi 7.0 Update 1 et versions ultérieures. Une machine virtuelle avec cette compatibilité ne peut pas s'exécuter sur ESXi 6.7 et versions antérieures.

Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

ESXi 7.0 Update 1 et versions ultérieures

Cette machine virtuelle ne possède pas toutes les capacités disponibles pour les machines virtuelles qui s'exécutent sur ESXi 7.0 Update 2 et versions ultérieures. Une machine virtuelle avec cette compatibilité ne peut pas s'exécuter sur ESXi 7.0 ou version antérieure.

Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

ESXi 7.0 Update 2 et versions ultérieures

Cette machine virtuelle ne possède pas toutes les capacités disponibles pour les machines virtuelles qui s'exécutent sur ESXi 7.0 Update 3 et versions ultérieures. Une machine virtuelle avec cette compatibilité ne peut pas s'exécuter sur ESXi 7.0 Update 1 ou version antérieure.

Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0.

ESXi 7.0 Update 3 et versions ultérieures

Cette machine virtuelle ne possède pas toutes les capacités disponibles pour les machines virtuelles qui s'exécutent sur des hôtes ESXi 8.0 et versions ultérieures. Une machine virtuelle avec cette compatibilité ne peut pas s'exécuter sur ESXi 7.0 Update 2 ou version antérieure.

Cluster avec des hôtes ESXi 6.5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2, ESXi 7.0 Update 3 et ESXi 8.0. ESXi 8.0 et versions ultérieures

Cela permet d'accéder aux dernières fonctionnalités de matériel virtuel et d'assurer des performances optimales. Cependant, une machine virtuelle avec cette compatibilité ne peut pas s'exécuter sur ESXi 6,5, ESXi 6.7, ESXi 7.0, ESXi 7.0 Update 1, ESXi 7.0 Update 2 ni 7.0 Update 3.

Pour plus d'informations sur la gestion de la compatibilité d'une machine virtuelle, reportez-vous à la documentation Administration d'une machine virtuelle vSphere.